Contributors blablupcom woodbine

Last run completed successfully .

Console output of last run

Injecting configuration and compiling...  -----> Python app detected -----> Installing python-2.7.6  $ pip install -r requirements.txt  Obtaining scraperwiki from git+http://github.com/openaustralia/scraperwiki-python.git@morph_defaults#egg=scraperwiki (from -r /tmp/build/requirements.txt (line 1))  Cloning http://github.com/openaustralia/scraperwiki-python.git (to morph_defaults) to /app/.heroku/src/scraperwiki  Collecting lxml==3.4.4 (from -r /tmp/build/requirements.txt (line 2))  /app/.heroku/python/lib/python2.7/site-packages/pip-9.0.1-py2.7.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.  SNIMissingWarning  /app/.heroku/python/lib/python2.7/site-packages/pip-9.0.1-py2.7.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.  InsecurePlatformWarning  Downloading lxml-3.4.4.tar.gz (3.5MB)  Collecting cssselect==0.9.1 (from -r /tmp/build/requirements.txt (line 3))  Downloading cssselect-0.9.1.tar.gz  Collecting beautifulsoup4 (from -r /tmp/build/requirements.txt (line 4))  Downloading beautifulsoup4-4.5.3-py2-none-any.whl (85kB)  Collecting python-dateutil (from -r /tmp/build/requirements.txt (line 5))  Downloading python_dateutil-2.6.0-py2.py3-none-any.whl (194kB)  Collecting dumptruck>=0.1.2 (from scraperwiki->-r /tmp/build/requirements.txt (line 1))  Downloading dumptruck-0.1.6.tar.gz  Collecting requests (from scraperwiki->-r /tmp/build/requirements.txt (line 1))  Downloading requests-2.13.0-py2.py3-none-any.whl (584kB)  Collecting six>=1.5 (from python-dateutil->-r /tmp/build/requirements.txt (line 5))  Downloading six-1.10.0-py2.py3-none-any.whl  Installing collected packages: dumptruck, requests, scraperwiki, lxml, cssselect, beautifulsoup4, six, python-dateutil  Running setup.py install for dumptruck: started  Running setup.py install for dumptruck: finished with status 'done'  Running setup.py develop for scraperwiki  Running setup.py install for lxml: started  Running setup.py install for lxml: still running...  Running setup.py install for lxml: finished with status 'done'  Running setup.py install for cssselect: started  Running setup.py install for cssselect: finished with status 'done'  Successfully installed beautifulsoup4-4.5.3 cssselect-0.9.1 dumptruck-0.1.6 lxml-3.4.4 python-dateutil-2.6.0 requests-2.13.0 scraperwiki six-1.10.0   ! Hello! It looks like your application is using an outdated version of Python.  ! This caused the security warning you saw above during the 'pip install' step.  ! We recommend 'python-2.7.13', which you can specify in a 'runtime.txt' file.  ! -- Much Love, Heroku.   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... E1740_RBC_gov_2017_02 E1740_RBC_gov_2017_01 E1740_RBC_gov_2016_12 E1740_RBC_gov_2016_11 E1740_RBC_gov_2016_10 E1740_RBC_gov_2016_09 E1740_RBC_gov_2016_08 E1740_RBC_gov_2016_07 E1740_RBC_gov_2016_06 E1740_RBC_gov_2016_05 E1740_RBC_gov_2016_04 E1740_RBC_gov_2016_03 E1740_RBC_gov_2016_02 E1740_RBC_gov_2016_01 E1740_RBC_gov_2015_12 E1740_RBC_gov_2015_11 E1740_RBC_gov_2015_10 E1740_RBC_gov_2015_09 E1740_RBC_gov_2015_08 E1740_RBC_gov_2015_07 E1740_RBC_gov_2015_06 E1740_RBC_gov_2015_05 E1740_RBC_gov_2015_04 E1740_RBC_gov_2015_03 E1740_RBC_gov_2015_02 E1740_RBC_gov_2015_01 E1740_RBC_gov_2014_Q4

Data

Downloaded 343 times by SimKennedy MikeRalphson woodbine

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (9 KB) Use the API

rows 10 / 27

f l d
E1740_RBC_gov_2017_02
2017-03-27 18:54:25.051730
E1740_RBC_gov_2017_01
2017-03-27 18:54:25.783502
E1740_RBC_gov_2016_12
2017-03-27 18:54:26.055624
E1740_RBC_gov_2016_11
2017-03-27 18:54:26.332809
E1740_RBC_gov_2016_10
2017-03-27 18:54:26.611076
E1740_RBC_gov_2016_09
2017-03-27 18:54:26.898570
E1740_RBC_gov_2016_08
2017-03-27 18:54:27.174813
E1740_RBC_gov_2016_07
2017-03-27 18:54:27.469568
E1740_RBC_gov_2016_06
2017-03-27 18:54:27.760773
E1740_RBC_gov_2016_05
2017-03-27 18:54:28.042245

Statistics

Average successful run time: 1 minute

Total run time: 10 minutes

Total cpu time used: less than 5 seconds

Total disk space used: 34 KB

History

  • Auto ran revision 58fda321 and completed successfully .
    nothing changed in the database
  • Auto ran revision 58fda321 and completed successfully .
    nothing changed in the database
  • Auto ran revision 58fda321 and completed successfully .
    27 records added, 27 records removed in the database
  • Auto ran revision 58fda321 and completed successfully .
    nothing changed in the database
  • Auto ran revision 58fda321 and completed successfully .
    27 records added, 27 records removed in the database
  • Auto ran revision 58fda321 and completed successfully .
    27 records added, 27 records removed in the database
  • Manually ran revision 58fda321 and completed successfully .
    27 records added, 15 records removed in the database
  • Manually ran revision c5f345b8 and completed successfully .
    15 records added in the database
    16 pages scraped
  • Created on morph.io

Scraper code

Python

sp_E1740_RBC_gov / scraper.py